## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           paho-cpp
Version:        1.4.0
Release:        %autorelease
Summary:        Eclipse Paho MQTT C++ Client Library
License:        EPL-2.0
URL:            https://github.com/eclipse/paho.mqtt.cpp
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  graphviz
BuildRequires:  doxygen
BuildRequires:  openssl-devel
BuildRequires:  paho-c-devel

%description
Eclipse Paho MQTT C++ client library for memory-managed operating systems such
as Linux, MacOS, and Windows.

%package            devel
Summary:            Development files for %{name}
Requires:           %{name}%{?_isa} = %{version}-%{release}

%description        devel
The %{name}-devel package contains development files for %{name}.

%package            doc
Summary:            Documentation for %{name}
BuildArch:          noarch

%description        doc
This %{name}-doc package contains documentation for %{name}.

%prep
%autosetup -p1 -n paho.mqtt.cpp-%{version}

sed -i 's|lib/cmake|%{_lib}/cmake|g' cmake/CMakeLists.txt

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DPAHO_WITH_SSL=ON \
    -DPAHO_BUILD_SAMPLES=OFF \
    -DPAHO_BUILD_DOCUMENTATION=ON \

%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_docdir}/%{name}/examples/
cp -a examples/*.cpp %{buildroot}%{_docdir}/%{name}/examples/
mv %{buildroot}%{_docdir}/html %{buildroot}%{_docdir}/%{name}/html

%files
%license edl-v10 epl-v20
%{_libdir}/libpaho-mqttpp3.so.1*

%files devel
%{_includedir}/mqtt/
%{_libdir}/libpaho-mqttpp3.so
%{_libdir}/cmake/PahoMqttCpp/

%files doc
%license edl-v10 epl-v20
%doc README.md
%{_docdir}/%{name}

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 topazus <topazus@outlook.com> - 1.4.0-1
- 1.4.0

* Fri Mar 08 2024 Felix Wang <topazus@outlook.com> - 1.3.2-5
- enable packit only on fedora-rawhide

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 topazus <topazus@outlook.com> - 1.3.2-2
- add packit for epel

* Sun Jan 14 2024 topazus <topazus@outlook.com> - 1.3.2-1
- initial import; rhbz#2258246
## END: Generated by rpmautospec
